package com.ssj.service.conch.parents.v2.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/4/18
 */
public class ChildInfoV2Dto implements Serializable {
	private static final long serialVersionUID = 1L;
	
	private String vipId;//会员Id
	private String childName;//小孩姓名
	private String imgUrl;//小孩头像
	private String sex;//小孩性别
	private String derver;//小孩绑定设备号
	private String qrCodeImg;//小孩二维码信息
	private String easemobName; //小孩环信id
	private int isZybService; //作业吧服务 0:无 1:有
	private List<Integer> zybServiceList; //学习系统服务类型(1平台服务（家长购买），2校区服务，4平台服务（机构购买），5校区服务(绑馆默认永久)，999内部用户)
	private int isLessonService;//一对一服务 0:无 1:有
	private int isGroupService; //小课服务 0:无 1:有
	private int isBindMaster; //是否绑定校长 0:无 1:有
	private int isMain; //是否是主账号孩子 0:副账号孩子(别人分享的孩子) 1:主账号孩子
	private long zybEndDate;//作业吧服务结束日期(时间戳)
	private long commuEndDate;//通讯结束日期(时间戳)
	/**
	 * 小孩类型（1：内部测试用户，可永久使用服务）
	 */
	private int childType;

	public int getChildType() {
		return childType;
	}

	public void setChildType(int childType) {
		this.childType = childType;
	}
	public long getZybEndDate() {
		return zybEndDate;
	}

	public void setZybEndDate(long zybEndDate) {
		this.zybEndDate = zybEndDate;
	}

	public long getCommuEndDate() {
		return commuEndDate;
	}

	public void setCommuEndDate(long commuEndDate) {
		this.commuEndDate = commuEndDate;
	}

	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	public String getChildName() {
		return childName;
	}
	public void setChildName(String childName) {
		this.childName = childName;
	}
	public String getImgUrl() {
		return imgUrl;
	}
	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}
	public String getDerver() {
		return derver;
	}
	public void setDerver(String derver) {
		this.derver = derver;
	}
	public String getQrCodeImg() {
		return qrCodeImg;
	}
	public void setQrCodeImg(String qrCodeImg) {
		this.qrCodeImg = qrCodeImg;
	}
	public String getEasemobName() {
		return easemobName;
	}
	public void setEasemobName(String easemobName) {
		this.easemobName = easemobName;
	}
	public int getIsZybService() {
		return isZybService;
	}
	public void setIsZybService(int isZybService) {
		this.isZybService = isZybService;
	}
	public int getIsLessonService() {
		return isLessonService;
	}
	public void setIsLessonService(int isLessonService) {
		this.isLessonService = isLessonService;
	}
	public int getIsGroupService() {
		return isGroupService;
	}
	public void setIsGroupService(int isGroupService) {
		this.isGroupService = isGroupService;
	}
	public int getIsBindMaster() {
		return isBindMaster;
	}
	public void setIsBindMaster(int isBindMaster) {
		this.isBindMaster = isBindMaster;
	}
	public int getIsMain() {
		return isMain;
	}
	public void setIsMain(int isMain) {
		this.isMain = isMain;
	}
	public String getSex() {
		return sex;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}
	public List<Integer> getZybServiceList() {
		return zybServiceList;
	}

	public void setZybServiceList(List<Integer> zybServiceList) {
		this.zybServiceList = zybServiceList;
	}
}